rand('seed',getdate('s'))
rand('uniform')

function y=simul_bernoulli(p)
  if (rand()<p) then y=1;
  else y=0;
  end
endfunction

n=10^4;     // nombre de simulations
p0=.25;     // choix du paramètre
s=0;        // initialisation du compteur de succès
for k=1:n
  s=s+simul_bernoulli(p0);
  // ou : if (simul_bernoulli(p0)==1) then s=s+1
end
disp(s/n);
