rand('seed', getdate('s'))
rand('uniform')

function y=simul_uniforme(N)
  y=1+floor(N*rand());
endfunction

n=10^4;     // nombre de simulations
N0=10;      // choix du paramètre
x=1:N0;     // vecteur des valeurs possibles pour X

S=zeros(1,n);   // initialisation du vecteur des résultats
for k=1:n
  S(k)=simul_uniforme(N0);
end
[I,y_stat]=dsearch(S,x,'d');  // distribution statistique observée
y_stat=y_stat/n;

y_th=ones(1,N0)/N0;     // distribution théorique attendue

clf;
subplot(121)
    bar(x,y_stat);
subplot(122)
    bar(x,y_th);
